org.springframework.jmx.export

## Class UnableToRegisterMBeanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jmx.JmxException
          - - org.springframework.jmx.export.MBeanExportException
            - - org.springframework.jmx.export.UnableToRegisterMBeanException

All Implemented Interfaces:
  Serializable

    public class UnableToRegisterMBeanException
    extends MBeanExportException

Exception thrown when we are unable to register an MBean, for example because of a naming conflict.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnableToRegisterMBeanException(String msg)` Create a new `UnableToRegisterMBeanException` with the specified error message.
`UnableToRegisterMBeanException(String msg, Throwable cause)` Create a new `UnableToRegisterMBeanException` with the specified error message and root cause.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnableToRegisterMBeanException

    public UnableToRegisterMBeanException(String msg)

Create a new `UnableToRegisterMBeanException` with the specified error message.

Parameters:
  `msg` - the detail message

#### UnableToRegisterMBeanException

    public UnableToRegisterMBeanException(String msg,
                                  Throwable cause)

Create a new `UnableToRegisterMBeanException` with the specified error message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root caus